import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('career_application_model')
export class CareerApplicationModelEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    jobTitle: string;

    @Column({default: null, nullable: true})
    name: string;

    @Column({default: null, nullable: true})
    email: string;

    @Column({default: null, nullable: true})
    coverLetter: string;

    @Column({default: null, nullable: true})
    resume: string;

    @Column({default: null, nullable: true, type: 'longtext'})
    reason: string;
}
