import {Module} from '@nestjs/common';
import {MessageService} from './message.service';
import {MessageGateway} from './message.gateway';
import {TypeOrmModule} from "@nestjs/typeorm";
import {MessageRepository} from "./message.repository";

@Module({
    imports: [
        TypeOrmModule.forFeature([MessageRepository])
    ],
    providers: [MessageGateway, MessageService]
})
export class MessageModule {
}
