import {CoreEntity} from "src/core/core.entity";
import {Column, Entity} from "typeorm";

@Entity('contact_model')
export class ContactModelEntity extends CoreEntity {
    @Column({default: null, nullable: true})
    designation: string;

    @Column({default: null, nullable: true})
    organizationSize: string;

    @Column({default: null, nullable: true})
    firstName: string;

    @Column({default: null, nullable: true})
    lastName: string;

    @Column({default: null, nullable: true})
    email: string;

    @Column({default: null, nullable: true})
    phone: string;
}
