import {IsEmpty, IsNotEmpty, IsOptional} from "class-validator";

export class CreateEventScheduleDto {
    @IsNotEmpty()
    eventName: string;

    @IsNotEmpty()
    date: Date;

    @IsNotEmpty()
    startTime: Date;

    @IsNotEmpty()
    endTime: Date;

    // @IsNotEmpty()
    // guestEmail: string;

    // @IsNotEmpty()
    // guestName: string;

    @IsOptional()
    description: string;

    @IsOptional()
    transactionId: string;

    @IsOptional()
    guestNameEmail: [Object];

    @IsOptional()
    isModified: boolean;
}