import { IsNotEmpty, IsOptional } from "class-validator";
import { CoreEntity } from "src/core/core.entity";
import { invitationStatusType } from "src/enum-type/invitation-status.enum";
import { Column, Entity } from "typeorm";

@Entity("event_schedule_guest")
export class EventScheduleGuestEntity extends CoreEntity {
    @Column()
    eventScheduleId: string;

    @Column({ nullable: true, default: null })
    guestEmail: string;

    @Column({ nullable: true, default: null })
    invitedUserId: string;

    @Column()
    invitedBy: string;

    @Column({ nullable: true, default: null })
    guestName: string;
}